INTERFACE
SUBROUTINE PPOBSASAD(KDLEN,KLEN,KDCOUNT,CDPAR,PINTH,KOBSTYPE,KCOUNT,PZ0SC,&
 & PRESF,PUF,PVF,PTF,PQF,&
 & PCPTGZ,PCPTS,PAPHI,PBN,PBM,PBH,&
 & KDPP,PXPP,&
 & PRESF5,PUF5,PVF5,PTF5,PQF5,PU05,PV05,&
 & PAPHI5,PCPTGZ5,PCPTS5,PRH2M5,PES5,&
 & PRI5,PBN5,PBM5,PBH5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KDCOUNT
CHARACTER(LEN=3) ,INTENT(IN) :: CDPAR
REAL(KIND=JPRB) ,INTENT(IN) :: PINTH(KDLEN)
INTEGER(KIND=JPIM),INTENT(IN) :: KOBSTYPE
INTEGER(KIND=JPIM),INTENT(IN) :: KCOUNT(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PZ0SC(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRESF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCPTGZ(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCPTS(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAPHI(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PBN(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PBM(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PBH(KDLEN)
INTEGER(KIND=JPIM),INTENT(IN) :: KDPP
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXPP(KDLEN,KDCOUNT,KDPP)
REAL(KIND=JPRB) ,INTENT(IN) :: PRESF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PUF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHI5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCPTGZ5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PCPTS5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PRH2M5(KDLEN,KDCOUNT)
REAL(KIND=JPRB) ,INTENT(IN) :: PES5(KDLEN,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PRI5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PBN5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PBM5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PBH5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PU05(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PV05(KDLEN)
END SUBROUTINE PPOBSASAD
END INTERFACE
